Create an Option Value
Creates an Option Value
POST
/
api
/
v2
/
platform
/
option_values
Create an Option Value
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_value: {name: 'red', presentation: 'Red', public_metadata: {}, private_metadata: {}}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/option_values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_value": {
"name": "red",
"presentation": "Red",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "72",
"type": "option_value",
"attributes": {
"position": 1,
"name": "Size-72",
"presentation": "S",
"created_at": "2022-11-08T19:34:34.345Z",
"updated_at": "2022-11-08T19:34:34.345Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_type": {
"data": null
}
}
}
}{
"error": "Name can't be blank and Presentation can't be blank",
"errors": {
"name": [
"can't be blank"
],
"presentation": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create an Option Value
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_value: {name: 'red', presentation: 'Red', public_metadata: {}, private_metadata: {}}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/option_values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_value": {
"name": "red",
"presentation": "Red",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "72",
"type": "option_value",
"attributes": {
"position": 1,
"name": "Size-72",
"presentation": "S",
"created_at": "2022-11-08T19:34:34.345Z",
"updated_at": "2022-11-08T19:34:34.345Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_type": {
"data": null
}
}
}
}{
"error": "Name can't be blank and Presentation can't be blank",
"errors": {
"name": [
"can't be blank"
],
"presentation": [
"can't be blank"
]
}
}
